Bug 20337 - -c with FTP is broken in curl 7.3
-c with FTP is broken in curl 7.3
Status: CLOSED ERRATA
Product: Red Hat Powertools
Classification: Retired
Component: curl (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-04 11:34 EST by Michael Schwendt
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-06 16:08:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2000-11-04 11:34:32 EST
I've also posted this on the curl mailing-list and submitted a bug report.
Instead of downloading just that part of the file which hasn't been
downloaded already, curl starts downloading at the beginning, but appends
the data to the end of my local copy. When finished, the size of the
resulting file is longer than the file to be downloaded. As reference,
version 6.5.2 is good.
Comment 1 Michael Schwendt 2000-11-05 11:12:55 EST
JFYI, curl 7.4.1 works fine again.
Comment 2 Tim Powers 2000-11-06 08:57:25 EST
Just out of curiosity, how are you getting this to work? Can you give examples
so that I can verify that it works?

Tim
Comment 3 Tim Powers 2000-11-06 09:27:42 EST
Nevermind. I found your post to the curl mailing list and found the options you
are using. The new packages seem to work. I have put the new packages for you in
http://people.redhat.com/timp/RPMS and the SRPM in
http://people.redhat.com/timp/SRPMS .

I am pushing this through our QA process now.

Tim
Comment 4 Tim Powers 2000-11-06 16:08:22 EST
The updated packages are now on the ftp site, and the errata annpouncement has
been released.

I am relolving this as "errata".

Tim

Note You need to log in before you can comment on or make changes to this bug.